import { NoTickDataProvider } from "src/entities";
import invariant from 'tiny-invariant';
export async function fetchTickDataForAllPoolsInRoute(route, provider) {
    if (!provider) {
        invariant(route.pools.every((pool) => !(pool.tickDataProvider instanceof NoTickDataProvider)));
    }
    let promises = [];
    for (let pool of route.pools) {
        promises.push(pool.initializeTicks(provider));
    }
    await Promise.all(promises);
}
//# sourceMappingURL=fetchTicksForRoute.js.map