import JSBI from 'jsbi';
import { bigIntFromBigintIsh } from './bigintIsh';
export class FullMath {
    /**
     * Cannot be constructed.
     */
    constructor() { }
    static mulDivRoundingUp(_a, _b, _denominator) {
        const a = bigIntFromBigintIsh(_a);
        const b = bigIntFromBigintIsh(_b);
        const denominator = bigIntFromBigintIsh(_denominator);
        const product = a * b;
        let result = product / denominator;
        if (product % denominator !== 0n) {
            result = result + 1n;
        }
        if (typeof _a === 'bigint') {
            return result;
        }
        else {
            return JSBI.BigInt(result.toString(10));
        }
    }
}
//# sourceMappingURL=fullMath.js.map