import JSBI from 'jsbi';
import { bigIntFromBigintIsh } from './bigintIsh';
export class LiquidityMath {
    /**
     * Cannot be constructed.
     */
    constructor() { }
    static addDelta(_x, _y) {
        const x = bigIntFromBigintIsh(_x);
        const y = bigIntFromBigintIsh(_y);
        let returnValue;
        if (y < 0n) {
            returnValue = x - y * -1n;
        }
        else {
            returnValue = x + y;
        }
        if (typeof _x === 'bigint') {
            return returnValue;
        }
        else {
            return JSBI.BigInt(returnValue.toString(10));
        }
    }
}
//# sourceMappingURL=liquidityMath.js.map